---
layout: cp
title: "Proposal to Add Monero (XMR) as a Payment Option on the Tesla Website"
author: Natoshi Sakamoto
date: February 9, 2021
amount: 890
milestones:
  - name: Payment for Monero public payment integration promise
    funds: 890
    done:
    status: unfinished
payouts:
  - date: 9 March 2021
    amount: 890 (refund)
---


*Important donor and participant note: See the bottom of the document. This proposal is contingent on several factors and will be refunded if certain criteria are not met.*

Press contact: press@getmonero.org

# Proposal to Add Monero (XMR) as a Payment Option on the Tesla Website

**What:** Tesla recently announced that they may accept Bitcoin payment for Tesla cars at some point in the future. This proposal is to ***add Monero as a payment option for a new Tesla, along-side Bitcoin, by asking Elon Musk to accept payment in Monero for three new Tesla Model 3 vehicles (maximum expenditure by the Monero community of $50,000 USD equivalent per Tesla, $150,000 USD equivalent total).*** If he agrees, we purchase the vehicles using Monero through the front end of the Tesla website or Tesla store point of sale system, or Tesla accepts our Monero in some other way such as a special payment processing run. Vehicles will then be donated to our favorite Charities! 

**Why:** Most existing cryptocurrencies, including Bitcoin and Ethereum, have transparent blockchains, meaning that transactions are openly traceable by anyone in the world and subject to mass surveillance by foreign governments and marketing agencies. Every Monero transaction preserves the privacy of its user because it obfuscates sending and receiving addresses as well as transacted amounts. Monero is unique among any major cryptocurrency in providing these basic levels of user protections.

Monero is a truly decentralized project entirely developed by a grassroot community of volunteers - to date, [more than 650 individuals have contributed to its source code](https://www.openhub.net/p/monero). All contributors spend time and efforts altruistically, largely unpaid except for a few specific tasks supported by a [dedicated crowdfunding platform](https://ccs.getmonero.org/). Similar to Bitcoin (and unlike most projects in the cryptospace...), there is no premine, no dev tax, no ICO, no venture capital, no nothing. Monero is a pure open source project whose community is aligned first and foremost toward its ideals of privacy & freedom. 

With the recent announcement that Bitcoin may be accepted for Tesla purchases, members of the Monero community came up with the idea that it would be preferable to have Monero along-side Bitcoin as a payment option when purchasing a Tesla, given its privacy preserving properties. While some people rightfully want to brag about their brand new Tesla, this should be the owner’s choice, not revealed with an accidental purchase of coffee using the same Bitcoin wallet. You wouldn’t want your server at a restaurant to know the entire balance in your wallet when you pay would you? Why should your purchase of a car broadcast to the world all of the information that is leaked in a Bitcoin transaction? Plus, **the effect of showing up to a party in a brand new Tesla is diminished somewhat if all your friends already knew the moment you bought it because they were able to see the transaction on the Bitcoin blockchain!**

**Who:** This proposal encourages the Monero community to come together and to raise the funds needed, in Monero, to purchase three Tesla Model 3 vehicles and donate them to three worthy 501(c)(3) charities (or corresponding status for non-profits outside the US)! To be considered one of the Community favorite charities, the words “Monero” and the hashtag #Tesla4XMR should be in all Tweets.

**When:** Lets raise these funds now and provide an opportunity for Tesla to support freedom and privacy while simultaneously providing benefit to our favorite charitable causes!

**How:** We propose to ask Elon Musk to accept Monero as a payment option for three new Tesla Model 3 vehicles through Twitter. We are relying on the power of the Monero community (and the generosity of Elon and others - including wonderful charities) to make this happen. Please help us share this proposal and encourage Elon to promote essential cryptocurrency technology!

501(c)(3) charities (or corresponding status for non-profits outside the US) who are interested should express via social media (ideally Twitter) how the donation of a Tesla Model 3 will benefit them, as well as some message on the importance of privacy. Then, charities should encourage engagement on their end to raise awareness. The hashtag **#Telsa4XMR** and the word “Monero” should be used on all Tweets or social media mentions! 

In order to be considered one of our FAVORITE charities, a charity should: 

* Tweet about what privacy means to them, and why it is important!
* Tweet about situations in which lack of privacy would be a bad thing! Be creative!
* Tweet about how YOU enjoy privacy in your own life (ie: curtains on the window are closed at night, cellphone has a password on it, cash is kept in your wallet or purse and not carried around in your hand for all to see).
* Tweet other funny or serious hypotheticals related to privacy, or lack of privacy - we can’t stress this enough - get creative!
* Tweet about how receiving a donated Tesla Model 3 would benefit the charity.
* Tweet about how a Tesla Model 3 would be used by the charity.

*All Tweets should include the word “Monero” AND the hashtag #Tesla4XMR.*

The more Tweets and Retweets, the better, we need to get Elon’s attention to make this dream a reality! The Monero Community loves organizations who have an awareness of the importance of financial privacy, personal privacy, privacy of thought, freedom of speech, and freedom of expression. 

We will be looking for charity engagement in this initiative, and to get Elon’s attention for twenty one days beginning 12:00 noon US Central time on the day the proposal is funded. That is, after 21 days from this time has elapsed, and if the success criteria below have been met, the Monero Community will select our three favorite charities to receive Teslas. The venue in which the three favorite charities will be evaluated and selected is TBA. 

Note that selected charities will not receive a donated Tesla Model 3 if the success criteria below are not met. The goal is to actually pay Tesla, for Teslas, using Monero! For that, we need to get Tesla to accept Monero as a payment option!


**Define Success:**
The decision to pay out the Monero to Tesla for the three Tesla Model 3 vehicles will depend on two things occuring. A) Acknowledgement from Elon within twenty one days of a fully funded proposal, that Monero will be added or accepted for the purchase of three Model 3 vehicles, and B) The actual acceptance of the Monero for the vehicle purchases within six months of the date of a fully funded proposal.

More specifically, pay out of the funds to Tesla will occur if three of our favorite charities have been selected to receive a Tesla AND: 

* Elon agrees via tweet or other public medium within twenty one days of a funded proposal to add Monero as a payment option, and it is possible to make the payment to Tesla in Monero within six months of the date of the fully funded proposal.
* Elon agrees via tweet or other public medium to accept our Monero as payment for three Teslas and it is possible to make the payment to Tesla, with Monero, within six months of the date of the fully funded proposal.
* Monero appears as a payment option on the Tesla website with no immediate announcement or correspondence from Elon, and this is accompanied by public correspondence from Elon within twenty one days of a fully funded proposal, acknowledging Monero has been added as a payment option, and it is possible to make the payment to Tesla in Monero within six months of the date of the fully funded proposal.

Funds will not be paid out to Tesla (and instead, refunded) if: 

* There is no response or engagement from Elon within the twenty one days of a fully funded proposal.
* There is a response or engagement from Elon, but no commitment to accept Monero for payment within twenty one days of a fully funded proposal.
* Monero appears as a payment option within twenty one days of a fully funded proposal on the Tesla website with no announcement or correspondence from Elon (this would be indicative of Tesla already having planned to add Monero as a payment option).
* Monero is added as a payment option within twenty one days of a fully funded proposal alongside other coins or tokens or cryptocurrency (excluding Bitcoin), even if acknowledged by Elon. For example: Tesla adds Coin X, Coin, G, Coin, H, and Monero.
* There is no response or engagement from Elon within the twenty one days of a fully funded proposal and Monero is added as a payment option only by way of a batch implementation of more than just Monero and Bitcoin through the use of a Tesla vendor / payment processor, such as BitPay, etc.
* It is not possible to send Monero to Tesla, and/or Tesla has been uncooperative in receiving the funds as payment for three Model 3 vehicles within six months of the date of a fully funded proposal, despite any acknowledgement or indication from Elon that it will be possible to make this transaction. 

Acceptable payment methods for the three Tesla Model 3 vehicles are: Tesla agrees to make a special payment processing run for the Community’s Monero, or Monero is spendable on the Tesla website, or at the Tesla store through the point of sale system. If, in the event of success (as defined above), six months has passed since the date of a fully funded proposal and it is not possible (Tesla becomes unresponsive, uncooperative, or it is not technically possible to send Monero to Tesla by no fault of the Monero community) to spend Monero on the three Tesla Model 3 vehicles in the above mentioned manner, refunds will be issued in accordance with the notes at the bottom of this page. 

**Monero Price Fluctuations:** 

Should the Monero price in USD rise between the time of a funded proposal, and actual pay out of the funds, the excess Monero that is not used to purchase the three Model 3 vehicles will be returned proportionally to the donors, in accordance with the notes at the bottom of this page. 
Should the Monero price in USD fall between the time of a funded proposal, and actual pay out of the funds, so that the Monero collected is now insufficient to purchase the three Tesla Model 3 vehicles, further funding will be sought from the community in a follow up CCS proposal.

**Notes:** 

A charity will certainly not be considered a friend of the Monero community if there is evidence that the nonprofit has a mission that is demonstrably not in line with our principles (e.g. advocating for government intrusions such as warrantless surveillance, tracing, suspected human rights violations, etc.). Charities that can be shown to have utilized Twitter bot farms or other forms of unfair manipulation to artificially increase their re-tweet counts will also be disqualified as a potential favorite of the Monero Community.

*This is not a sweepstakes or lottery. There is no purchase, payment, or consideration required to be provided by charities for participation. Charities and others who participate do assert that their participation represents non-consideration in the form of materials, opportunity cost, time, or person-hours, and that any efforts put forth to try and be selected to receive a Tesla are trivial and non-material. Participation by charities, Elon Musk, Tesla, Monero Community Members, or anyone else is purely voluntary. This initiative is void where prohibited, and entities residing in or governed by such jurisdictions shall not participate. This text and/or initiative creates no liability for any participant, including Monero Community members. The recipient(s) of any donated Tesla Model 3 must ensure they are able to fulfill any taxation obligation that accepting an award may present. The Monero Community is not liable for taxation liability, if any, associated with these donated vehicles.*

```
Important donor notes: For this proposal, refunds will be issued in the event that the funding is not satisfactory or the metric(s) for success are not achieved. This differs from the standard of excess or unused funds going to the general fund, because success in this case is dependent on an external event or events occurring.

To qualify for a refund, the donor must send their tx ID, amount, and return XMR address to luigi1111@getmonero.org (PGP fingerprint: FE6D D72A 19CD C5FC 6CB9  1696 BA18 1389 4EDD 58B9, full PGP key at github.com/monero-project/monero/blob/master/utils/gpg_keys/luigi1111.asc) NO LATER than ONE WEEK after their donation is made. Any remaining unclaimed funds (in the event that the proposal is not completed) will be sent to the general fund as usual. If refunds are to be issued, the funds will be returned via the provided XMR address.

In summary, the funds can be either:

Unclaimed, leading to the general fund receiving them in the case of a failed proposal.

Claimed within one week of the donation, leading to a refund in the case of a failed proposal (assuming you sent the email within the week window).

Note: The hope is that the refunds will not be needed, and the funds will be distributed in accordance with the success of the proposal. In the event of success of the proposal, refunds will NOT be issued. It is only if the proposal is not funded to satisfaction, or not successful, or as a volatility adjustment.
```

Tesla and Elon Musk have absolutely no affiliation with this Monero CCS proposal at the time this is written, nor can we say that they endorse or otherwise have commented on this CCS proposal or Monero.
