---
layout: cp
title: "Sarang: research funding for 2019 Q2"
author: Sarang Noether
date: 12 March 2019
amount: 423.93
milestones:
  - name: Funding is released
    funds: 100% (423.93 XMR)
    done: 31 March 2019
    status: completed
payouts:
  - date: 31 March 2019
    amount: 423.93
---
Folks, hello once again. It's your pal Dr. Sarang Noether, here to request ongoing support for the next few months. My current funded research period is complete at the end of this month, and I'm ready to go for another three months of research and development for the Monero Research Lab.

You can read my monthly research reports for the current funding period:
- [January](https://www.reddit.com/r/Monero/comments/al125c/january_monthly_report_from_sarang_noether/)
- [February](https://www.reddit.com/r/Monero/comments/avdrbs/february_monthly_report_from_sarang_noether/)
- March (forthcoming): Bulletproofs MPC, DLSAG applications and formalization, transaction models

There has been a lot of work over the last few months to improve transaction privacy, optimize existing constructions, and analyze and test new mathematical and cryptographic schemes.

There are many research topics planned for the next few months:
- Protocol documentation updates: These were usurped by more pressing research during this funding period.
- Graph matching paper: This is awaiting simulation results.
- DLSAG paper: This is undergoing final review with other researchers.
- Alternate transaction models: I plan to write prototyping code for a transaction model that was brought to my attention.
- Block size analysis and simulations: My colleague Surae Noether and I have been discussing more robust dynamic block size algorithms that we wish to test more thoroughly.
- Transaction relay: In addition to network-level approaches to transaction broadcast, I want to continue investigating the Dandelion++ transaction relay model for possible inclusion in Monero clients. There are subleties that other projects have encountered.
- Bulletproofs circuit code: Bulletproofs can be used to prove statements about general arithmetic circuits in zero knowledge, and it would be useful to have code available for this.
- Bulletproofs generalization: I want to generalize the Bulletproofs algorithms to handle arbitrary-size inputs.
- Literature review: This is always ongoing.
- Outreach and education: This may include additional Breaking Monero episodes, Coffee Chats, and other avenues.
- The unexpected: An ever-present part of research is tackling whatever new proposals or issues come up unexpectedly.

As always, I work hard to provide value to the community and project for the value you provide here. For the funding period beginning April 2019 and continuing through June 2019, my rate continues to be 10415 USD per month, my assessment of market compensation for an independent Ph.D. researcher in the United States. The request total is **638 XMR**, based on a 14-day exponential moving average of 49 USD/XMR taken from Kraken on 12 March 2019.

**Please read this paragraph carefully for an important change.** An ongoing issue with multi-month research funding is that of price volatility. Because the XMR/USD conversion rate is subject to large changes over several months, neither donors nor I know what the actual value of donations will be when they are eventually paid out. To mitigate this and provide the most stability, **this request will be paid out in full when it is funded**. I am proud that my record of work for the Monero community speaks for itself, and I hope that I have earned your ongoing trust to continue that work. I will still continue to provide monthly research reports, just as I do now.

I invite questions, comments, and discussions about this proposal, especially the new payout method. This community is exemplary for its steadfast support of research and development, and I offer my thanks to everyone who supports Monero in whatever way they choose. My goal is, as always, to help the project grow safely and surely. Onwards!
